Special:Export remove "Category:" (or local name) from text box
Closed, ResolvedPublic

Description

Would it be possible for when the user presses "Add" that if they have put "Category:" (or whatever the localised version is), that it is removed by the software

I've done it a couple of times with it in, and then am like WTF when it doesnt work

Cheers!


Version: 1.13.x
Severity: minor
URL: http://en.wikipedia.org/wiki/Special:Export

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz14790.
Reedy created this task.Via LegacyJul 11 2008, 5:21 PM
Reedy added a comment.Via ConduitJul 11 2008, 6:43 PM

Changing to Enhancement (as it isnt really a bug)

brion added a comment.Via ConduitJul 30 2008, 11:19 PM

I'd say this is a real bug, since we usually accept such things with namespace prefixes with no problem.

Steps to reproduce:

  1. Go to http://en.wikipedia.org/wiki/Special:Export
  1. In "Add pages to from category" box type "Category:Long Island"
  1. Click "Add" button

Expected results:

A bunch of pages from http://en.wikipedia.org/wiki/Category:Long_Island should be listed in the export page list box.

Actual results:

No pages are listed.

Workaround:

Type "Long Island" without the "Category:" namespace prefix.

Suggested fix:

Normalize the category name more sensible in Special:Export, so that category names are accepted both with and without the 'Category:' prefix.

Reedy added a comment.Via ConduitJul 31 2008, 9:20 AM

Cheers Brion,

I suppose, its only a case of sending it to a function thats already written and having the normalised title sent back

siebrand added a comment.Via ConduitAug 11 2008, 9:55 PM

Fixed in r39184.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.